import re
from google.appengine.api import mail


class Email:

    @classmethod
    def isValid(cls, email):
        regex = re.compile("^[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,4}")
        regex.match(email)
        return True if regex.match(email) else False

    @classmethod
    def send(cls, text, to, subject, sender, attachments=None):
        return cls.sendWithAppEngine(text, to, subject, sender, attachments)

    @classmethod
    def sendWithAppEngine(cls, text, to, subject, sender, attachments=None):
        message = mail.EmailMessage()
        message.sender = sender
        message.to = to
        message.subject = subject
        message.body = text
        if attachments:
            message.attachments = attachments
        message.send()